package grmi

type ConditionItem struct {
	*ColumnField
	PredicateType func(Predicate) (string, error)
	OrderBy       bool
	valueParser   func(string) (interface{}, error)
}

func NewConditionItem(field *ColumnField, predicateType func(Predicate) (string, error), orderBy bool) *ConditionItem {
	return &ConditionItem{field, predicateType, orderBy, nil}
}
